Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.business.mycarenetdomaincommons.builders.util
Class GeneralCommonInputBuilder

    java.lang.Object
      be.ehealth.business.mycarenetdomaincommons.builders.util.GeneralCommonInputBuilder

    public final class GeneralCommonInputBuilder

extends Object

creates the commonInput with builder methods.

Method Summary
`GeneralCommonInputBuilder` | `addCareProvider(CareProvider careprovider)`
`GeneralCommonInputBuilder` | `addMcnPackageInfo(McnPackageInfo packageInfo)`
`GeneralCommonInputBuilder` | `addPackageInfo(PackageInfo packageInfo)` Deprecated. use addMcnPackageInfo instead
`GeneralCommonInputBuilder` | `addPackageInfo(String name, String userName, String password)`
`static GeneralCommonInputBuilder` | `create(boolean isTest, String inputReference)`
`GeneralCommonInputBuilder` | `disableValidation()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### create

    public static GeneralCommonInputBuilder create(boolean isTest,
                                                   String inputReference)

### addPackageInfo

    @Deprecated
    public GeneralCommonInputBuilder addPackageInfo(PackageInfo packageInfo)

  Deprecated. use addMcnPackageInfo instead

  Parameters:
    `packageInfo` - deprecated!
  Returns:

### addMcnPackageInfo

    public GeneralCommonInputBuilder addMcnPackageInfo(McnPackageInfo packageInfo)

### addPackageInfo

    public GeneralCommonInputBuilder addPackageInfo(String name,
                                                    String userName,
                                                    String password)

### addCareProvider

    public GeneralCommonInputBuilder addCareProvider(CareProvider careprovider)

### disableValidation

    public GeneralCommonInputBuilder disableValidation()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.